Bug 254866 - USE_GITLAB with gitlab.com is broken
Summary: USE_GITLAB with gitlab.com is broken
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-07 22:14 UTC by daniel.engberg.lists
Modified: 2021-04-10 11:31 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2021-04-07 22:14:39 UTC
Currently ports using USE_GITLAB for gitlab.com are unfetchable, tested with audio/exhale , audio/soundtouch and audio/mixertui

Example:
===>   soundtouch-2.2 depends on file: /usr/local/sbin/pkg - found
=> soundtouch-soundtouch-762f56024b7ade81f6565903161dffec0ad4741e_GL0.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch https://gitlab.com/soundtouch/soundtouch/repository/762f56024b7ade81f6565903161dffec0ad4741e/archive.tar.gz?dummy=/soundtouch-soundtouch-762f56024b7ade81f6565903161dffec0ad4741e_GL0.tar.gz
fetch: https://gitlab.com/soundtouch/soundtouch/repository/762f56024b7ade81f6565903161dffec0ad4741e/archive.tar.gz?dummy=/soundtouch-soundtouch-762f56024b7ade81f6565903161dffec0ad4741e_GL0.tar.gz: Service Unavailable
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/soundtouch-soundtouch-762f56024b7ade81f6565903161dffec0ad4741e_GL0.tar.gz
soundtouch-soundtouch-762f56024b7ade81f6565903         511 kB  765 kBps    01s
===> Fetching all distfiles required by soundtouch-2.2 for building

Also discussed in #bsdports on EFNet
Comment 1 daniel.engberg.lists 2021-04-07 23:05:36 UTC
See https://reviews.freebsd.org/D29628
Comment 2 commit-hook freebsd_committer 2021-04-09 18:45:52 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=12ae9706d9b2bc40f303077f1b3c5801b94ea027

commit 12ae9706d9b2bc40f303077f1b3c5801b94ea027
Author:     Matthias Fechner <mfechner@FreeBSD.org>
AuthorDate: 2021-04-07 14:47:01 +0000
Commit:     Matthias Fechner <mfechner@FreeBSD.org>
CommitDate: 2021-04-09 18:43:03 +0000

    Fix downloading of packages hosted on gitlab.

    Gitlab changed the address beginning of April you can download packages
    from:
    curl https://gitlab.com/gitlab-org/gitlab-foss/repository/7efd19e3716ab6f9146052da76d1bd59ec815f2d/archive.tar.gz?dummy=/gitlab-org-gitlab-foss-7efd19e3716ab6f9146052da76d1bd59ec815f2d_GL0.tar.gz
    to:
    curl https://gitlab.com/gitlab-org/gitlab-foss/-/archive/7efd19e3716ab6f9146052da76d1bd59ec815f2d.tar.gz?dummy=/gitlab-org-gitlab-foss-7efd19e3716ab6f9146052da76d1bd59ec815f2d_GL0.tar.gz

    The new extracted archive will have a different folder name.
    Before it was:
    gitlab-foss-7efd19e3716ab6f9146052da76d1bd59ec815f2d-7efd19e3716ab6f9146052da76d1bd59ec815f2d
    now it is:
    gitlab-foss-7efd19e3716ab6f9146052da76d1bd59ec815f2d

    So all ports using gitlab must regen their distinfo.

    PR:             254866
    MFH:            2021Q2
    Differential Revision:  https://reviews.freebsd.org/D29628

 Mk/bsd.port.mk  | 2 +-
 Mk/bsd.sites.mk | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 3 Matthias Fechner freebsd_committer 2021-04-09 19:10:19 UTC
Should be fixed now.
Comment 4 daniel.engberg.lists 2021-04-10 06:23:23 UTC
Thanks!
Comment 5 commit-hook freebsd_committer 2021-04-10 11:31:08 UTC
A commit in branch 2021Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=25feb17bca5b772d134b48379e67e85150cf84e3

commit 25feb17bca5b772d134b48379e67e85150cf84e3
Author:     Matthias Fechner <mfechner@FreeBSD.org>
AuthorDate: 2021-04-07 14:47:01 +0000
Commit:     Matthias Fechner <mfechner@FreeBSD.org>
CommitDate: 2021-04-10 10:59:19 +0000

    Fix downloading of packages hosted on gitlab.

    Gitlab changed the address beginning of April you can download packages
    from:
    curl https://gitlab.com/gitlab-org/gitlab-foss/repository/7efd19e3716ab6f9146052da76d1bd59ec815f2d/archive.tar.gz?dummy=/gitlab-org-gitlab-foss-7efd19e3716ab6f9146052da76d1bd59ec815f2d_GL0.tar.gz
    to:
    curl https://gitlab.com/gitlab-org/gitlab-foss/-/archive/7efd19e3716ab6f9146052da76d1bd59ec815f2d.tar.gz?dummy=/gitlab-org-gitlab-foss-7efd19e3716ab6f9146052da76d1bd59ec815f2d_GL0.tar.gz

    The new extracted archive will have a different folder name.
    Before it was:
    gitlab-foss-7efd19e3716ab6f9146052da76d1bd59ec815f2d-7efd19e3716ab6f9146052da76d1bd59ec815f2d
    now it is:
    gitlab-foss-7efd19e3716ab6f9146052da76d1bd59ec815f2d

    So all ports using gitlab must regen their distinfo.

    PR:             254866
    MFH:            2021Q2
    Differential Revision:  https://reviews.freebsd.org/D29628

    (cherry picked from commit 12ae9706d9b2bc40f303077f1b3c5801b94ea027)

 Mk/bsd.port.mk  | 2 +-
 Mk/bsd.sites.mk | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)